# class SS7L3User | Abstract user of SS7 layer 3 (network) message transfer part. More...
Contains pure virtuals
Full name | `TelEngine::SS7L3User`
Definition | `#include <libs/ysig/yatesig.h>`
Inherits | TelEngine::SignallingComponent [virtual public ]
Inherited by | SS7BICC, SS7ISUP, SS7Layer4, SS7Management, SS7Router, SS7SCCP, SS7TUP, SS7Testing
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- virtual void attach (SS7Layer3* network)

#### Protected Methods

- virtual HandledMSU receivedMSU (const SS7MSU& msu, const SS7Label& label, SS7Layer3* network, int sls)
- virtual bool recoveredMSU (const SS7MSU& msu, const SS7Label& label, SS7Layer3* network, int sls)
- virtual void receivedUPU (SS7PointCode::Type type, const SS7PointCode node, SS7MSU::Services part, unsigned char cause, const SS7Label& label, int sls)
- virtual void notify (SS7Layer3* link, int sls)
- virtual void routeStatusChanged (SS7PointCode::Type type, const SS7PointCode& node, SS7Route::State state)

#### Protected Static Methods

- static ObjList* getNetRoutes (SS7Layer3* network, SS7PointCode::Type type)
- static const ObjList* getNetRoutes (const SS7Layer3* network, SS7PointCode::Type type)

## Detailed Description

An user of a Layer 3 (data link) SS7 message transfer part

void attach (SS7Layer3* network) | ### attach

[pure virtual]

Attach a SS7 Layer 3 (network) to the user component

Parameters:

network | Pointer to network component to attach

HandledMSU receivedMSU (const SS7MSU& msu, const SS7Label& label, SS7Layer3* network, int sls) | ### receivedMSU

[protected pure virtual]

Process a MSU received from the Layer 3 component

Parameters:

msu | Message data, starting with Service Indicator Octet
label | Routing label of the received MSU
network | Network layer that delivered the MSU
sls | Signalling Link the MSU was received from

Returns: Result of MSU processing

bool recoveredMSU (const SS7MSU& msu, const SS7Label& label, SS7Layer3* network, int sls) | ### recoveredMSU

[protected virtual]

Reroute a recovered Message Signal Unit

Parameters:

msu | Message data, starting with Service Indicator Octet
label | Routing label of the recovered MSU
network | Network layer that recovered the MSU
sls | Signalling Link the MSU was recovered from

Returns: True if the MSU was successfully rerouted

void receivedUPU (SS7PointCode::Type type, const SS7PointCode node, SS7MSU::Services part, unsigned char cause, const SS7Label& label, int sls) | ### receivedUPU

[protected virtual]

Notification for receiving User Part Unavailable

Parameters:

type | Type of Point Code
node | Node on which the User Part is unavailable
part | User Part (service) reported unavailable
cause | Unavailability cause - Q.704 15.17.5
label | Routing label of the UPU message
sls | Signaling link the UPU was received on

void notify (SS7Layer3* link, int sls) | ### notify

[protected virtual]

Process a notification generated by the attached network layer

Parameters:

link | Network or linkset that generated the notification
sls | Signalling Link that generated the notification, negative if none

void routeStatusChanged (SS7PointCode::Type type, const SS7PointCode& node, SS7Route::State state) | ### routeStatusChanged

[protected virtual]

Process route status changed notifications

Parameters:

type | Type of Point Code
node | Destination node witch state has changed
state | The new route state

ObjList* getNetRoutes (SS7Layer3* network, SS7PointCode::Type type) | ### getNetRoutes

[protected static]

Retrieve the route table of a network for a specific Point Code type

Parameters:

network | Network layer to retrieve routes from
type | Point Code type of the desired table

Returns: Pointer to the list of SS7Route or NULL if no such route

const ObjList* getNetRoutes (const SS7Layer3* network, SS7PointCode::Type type) | ### getNetRoutes

[protected static]

Retrieve the route table of a network for a specific Point Code type

Parameters:

network | Network layer to retrieve routes from
type | Point Code type of the desired table

Returns: Pointer to the list of SS7Route or NULL if no such route

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.